#include "kbf.h"

#include <freertos/FreeRTOS.h>
#include <freertos/task.h>
#include <esp_log.h>

static constexpr const char *TAG = "kbf";

void kbf::sleep(uint32_t milliseconds) {
    ESP_LOGD(TAG, "sleeping task for %d ms", milliseconds);
    vTaskDelay(milliseconds / portTICK_PERIOD_MS);
}