#include <stdio.h>
#include <string.h>

#include <freertos/FreeRTOS.h>
#include <freertos/task.h>
#include <esp_err.h>

#include "unity.h"

static void menu_task(void *);

void app_main(void) {
    UNITY_BEGIN();
//    unity_run_tests_by_tag("[noauto]", true);
    unity_run_tests_by_tag("[auto]", false);
    UNITY_END();

    TaskHandle_t handle;
    xTaskCreate(menu_task, "unity_menu", 8192, NULL, 5, &handle);
}

static void menu_task(void *arg) {
    // vTaskDelay(1000 / portTICK_PERIOD_MS);
    unity_run_menu();
}
