#include "kbf/driver/ultrasonic.h"

uint32_t kbf::driver::Ultrasonic::read(int maxDistanceCm) {
    uint32_t  distance;
    esp_err_t err = ultrasonic_measure_cm(&sensor, maxDistanceCm, &distance);
    if (err != ESP_OK) {
        return err;
    }
    return distance;
}
